Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezbulkmail/user/categoryedit.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: categoryedit.php 6417 2001-08-13 12:31:09Z ce $
5 //
6 // Created on: <18-Apr-2001 11:15:33 fh>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezbulkmail/classes/ezbulkmailcategory.php" );
28
29 // include_once( "ezuser/classes/ezuser.php" );
30 // include_once( "ezuser/classes/ezusergroup.php" );
31 // include_once( "classes/ezhttptool.php" );
32 // include_once( "classes/eztemplate.php" );
33 // include_once( "classes/INIFile.php" );
34
35 if( isset( $Cancel ) ) // cancel pressed, redirect to categorylist page...
36 {
37 eZHTTPTool::header( "Location: /bulkmail/subscriptionlist/" );
38 exit();
39 }
40
41 if( isset( $Ok ) ) // cancel pressed, redirect to categorylist page...
42 {
43 if( $CategoryID == 0 )
44 {
45 $category = new eZBulkMailCategory();
46 }
47 else
48 {
49 $category = new eZBulkMailCategory( $CategoryID );
50 }
51 eZHTTPTool::header( "Location: /bulkmail/categorylist/$id" );
52 exit();
53 }
54
55
56 $t = new eZTemplate( "kernel/ezbulkmail/user/" . $ini->variable( "eZBulkMailMain", "TemplateDir" ),
57 "kernel/ezbulkmail/user/intl", $Language, "categoryedit.php" );
58 $t->set_file( array(
59 "category_edit_tpl" => "categoryedit.tpl"
60 ) );
61
62 $t->setAllStrings();
63
64 $t->pparse( "output", "category_edit_tpl" );
65
66 ?>
$category
if( $Action=="Edit") $category
Definition: adedit.php:378
$CategoryID
$CategoryID
Definition: admin/articleedit.php:53
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZTemplate
Definition: eztemplate.php:107
$Language
$Language
Definition: classes/admin/linklist.php:65
$ini
$ini
Definition: classes/admin/linklist.php:64
$t
if(isset( $Cancel)) if(isset( $Ok)) $t
Definition: ezbulkmail/user/categoryedit.php:56
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.